Name:           perl-Test-Script
Version:        1.06
Release:        1%{?dist}
Summary:        Cross-platform basic tests for scripts
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Script/
Source0:        http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Test-Script-%{version}.tar.gz
Patch0:         Test-Script-1.06-compiles_bad.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IPC::Run3) >= 0.034
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::CPAN::Meta) >= 0.12
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The intent of this module is to provide a series of basic tests for scripts
in the bin directory of your Perl distribution.

%prep
%setup -q -n Test-Script-%{version}

# Sometimes t/bin/bad.pl dies with exit code 9, sometimes with 255.
# Upstream has tried to cater for this using a regex but old versions
# of Test::More don't support the use of regexes like this (it fails
# with 0.62 and passes with 0.78, probably needs 0.77), so we need to
# patch the test to check for the correct value.
%patch0 -p1
EXITCODE=$(perl t/bin/bad.pl &> /dev/null || echo $?)
sed -i -e "s/@EXITCODE@/$EXITCODE/" t/03_compiles_bad.t

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT

%check
make test AUTOMATED_TESTING=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Script.3pm*

%changelog
* Wed Mar 14 2012 Paul Howarth <paul@city-fan.org> - 1.06-1.1
- Fixes for EPEL-5 compatibility:
  - Drop unavailable release testing buildreqs
  - Turn off RELEASE_TESTING
  - Add patch to work around issues with t/03_compiles_bad.t
- Drop %%defattr, redundant since rpm 4.4
- Don't need to remove empty directories from buildroot
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Use search.cpan.org source URL
- Don't use macros for commands
- Make %%files list more explicit

* Mon Sep 28 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.06-1
- Upstream update.
- BR: perl(Probe::Perl)
- Activate AUTOMATED_TESTING=1 RELEASE_TESTING=1.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 11 2008 Ralf Corsépius <rc040203@freenet.de> - 1.03-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-4
- Rebuild for perl 5.10 (again)

* Sat Jan 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-3
- rebuild for new perl

* Tue Sep 18 2007 Ralf Corsépius <rc040203@freenet.de> - 1.02-2
- Reflect license tag changes.
- BR: perl(Test::More).
- Remove BR: perl.
- Add chmod -x Changes lib/Test/*pm

* Tue Aug 07 2007 Ralf Corsépius <rc040203@freenet.de> - 1.02-1
- Specfile autogenerated by cpanspec 1.73.
